Compatible Devices: Further Information

This article explains in greater detail device compatibility information with the Vector app (also known as the Vector Robot app). It supplements this List of Compatible Devices



What are the Minimum Requirements? 

In general, for any device to potentially work with the Vector app (Vector Robot app), it needs to meet or exceed both of these Software and Hardware requirements.

 

Software

  • iOS 10 or iOS 11
  • Android 5 (Lollipop) through Android 9 (Pie)
  • Fire OS 5

 

Hardware

  • A WiFi internet router that broadcasts in at least 802.11n 2.4GHz channels

What is the general rule for device compatibility?

The vast majority devices that can download the Vector app (Vector Robot app) from their respective app stores are likely to support all aspects of the app.

If you can use your device to search for, find, and download the Vector app in the Apple App Store, the Google Play store, or the Amazon Appstore that device is very likely compatible with Vector app.

Please be aware that because of the significant number of different models, variants, and manufacturing standards of available devices, Digital Dream Labs can only assure the compatibility of devices that we actively test internally. A list of compatible devices can be found here.


What if my device cannot find and download the Vector app?

If you have used your device to search for, but cannot find and download the Vector app (Vector Robot app) from the Apple App Store, the Google Play store, or the Amazon Appstore locations, this means that your device is known to not support the Vector app.

Either it does not meet a specific requirement, or we’ve have specifically disabled it because there were problems that we could not fix or workaround.


What devices does Digital Dream Labs know do not work?

Note: By its nature, this list is incomplete and subject to change at any time and without notice.

 

All of the following devices are known to Digital Dream Labs to have failed compatibility testing with the Vector app.  They are fundamentally incompatible with our products. Digital Dream Labs strongly recommends that you do not attempt to use these products with ours.

 

Any Tablet or Device with any x86, x86-64, Intel, AMD, or Atom based Processor
   

 

Digital Dream Labs apps are not supported running on devices that are:

  • Jailbroken, rooted, or running custom ROMs
  • Running a Beta operating system
  • Installed on external memory (SD Cards, USB, etc.)

 

Digital Dream Labs apps are only supported on devices running their manufacturer's officially released builds and installed on their built-in internal memory.


Other devices that should be compatible 

While Digital Dream Labs does not actively test the following devices, if you own one and it is running at least iOS 10.3.3, Android 5.1 (Lollipop), or Fire OS 5.4.1.0, it will likely work as expected with the Vector app.

These devices are not being actively tested, but we are confident that they should work well with the Vector app.

OnePlus OnePlus One

Samsung Galaxy Note Edge
Sony Xperia Z3  

Still need help? Contact Us Contact Us